Perl(3)

NAME
Win32::GUI::Scintilla::Perl -- Scintilla control with Perl awareness.

SYNOPSIS
        use Win32::GUI::Scintilla::Perl;

        my $win = #Create window here

        my $sciViewer = $winMain->AddScintillaPerl  (
                -name    => "sciViewer",
                -left   => 0,
                -top    => 30,
                -width  => 400,
                -height => 240,
                -addexstyle => WS_EX_CLIENTEDGE,
                );

        #Change look and feel to your liking here.

METHODS

  new(%hOption)
Create a Win32::GUI::Scintilla control which is in "Perl mode". Other than this, it's a regular Scintilla object.

You can override any setting afterward.

ROUTINES

  SetupPerl($sciControl)
Setup $sciControl in Perl mode.

Return 1 on success, else 0.

Win32::GUI::Window methods

  AddScintillaPerl
Create and add a Win32::GUI::Scintilla::Perl control to this window.

AUTHOR
Laurent Rocher (the hard work) and Johan Lindström (subclassing).

Same license as Perl.